# class ActiveLdap::Schema::Syntaxes::OID

### Private Instance Methods

validate_normalized_value(value, original_value) click to toggle source

    # File lib/active_ldap/schema/syntaxes.rb, line 345
    def validate_normalized_value(value, original_value)
      DN.parse("#{value}=dummy")
      nil
    rescue DistinguishedNameInvalid
      reason = $!.reason
      if reason
        _("%s is invalid OID format: %s") % [original_value.inspect, reason]
      else
        _("%s is invalid OID format") % original_value.inspect
      end
    end